# DataExchange
TKIGES
IGESData

# IGESData_FileProtocol Class Reference

This class allows to define complex protocols, in order to
treat various sub-sets (or the complete set) of the IGES Norm,
such as Solid + Draw (which are normally independant), etc...
While it inherits Protocol from IGESData, it admits
UndefinedEntity too
.

`#include <IGESData_FileProtocol.hxx>`

Inheritance diagram for IGESData_FileProtocol:

[legend]

## Public Member Functions

Standard_EXPORT | IGESData_FileProtocol ()
| Returns an empty FileProtocol .
Standard_EXPORT void | Add (const Handle(IGESData_Protocol)&protocol)
| Adds a resource .
virtual Standard_EXPORT Standard_Integer | NbResources () const
| Gives the count of Resources : the count of Added Protocols .
virtual Standard_EXPORT Handle_Interface_Protocol | Resource (const Standard_Integer num) const
| Returns a Resource, given a rank (rank of call to Add) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_Protocol | theresource
Handle_IGESData_FileProtocol | thenext

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_FileProtocol::IGESData_FileProtocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESData_FileProtocol::Add | ( | const Handle(IGESData_Protocol)& | protocol | ) |

Standard_EXPORT const IGESData_FileProtocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_Protocol.

virtual Standard_EXPORT Standard_Integer IGESData_FileProtocol::NbResources | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_Protocol.

virtual Standard_EXPORT Handle_Interface_Protocol IGESData_FileProtocol::Resource | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from IGESData_Protocol.

## Field Documentation

Handle_IGESData_FileProtocol IGESData_FileProtocol::thenext `[private]`

Handle_IGESData_Protocol IGESData_FileProtocol::theresource `[private]`

The documentation for this class was generated from the following file:

- IGESData_FileProtocol.hxx